Cyberduck Mountain Duck CLI

#8051 closed enhancement (fixed)

Upload Failed dialog is ambiguous

Reported by: zacwitte Owned by: dkocher
Priority: normal Milestone: 4.5.2
Component: interface Version: 4.4.5
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.9

Description

When uploading files and they fail (in my case to S3) the dialog displayed and the actions taken are ambiguous. it says:

Upload failed ([FILENAME).
The target server failed to response.
X Always
Continue | Cancel

What happens when I continue? Is the file retried? Is it skipped? What happens when I cancel? Is the file removed? Does it remain on the server, but only partially uploaded?

Attachments (1)

Screenshot 2014-06-22 10.22.48.png (78.7 KB) - added by zacwitte on Jun 22, 2014 at 5:30:15 PM.

Download all attachments as: .zip

Change History (4)

comment:2 Changed on Jun 23, 2014 at 12:27:34 PM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher

comment:3 Changed on Aug 20, 2014 at 3:19:46 PM by dkocher

  • Milestone set to 4.5.2
  • Resolution set to fixed
  • Status changed from new to closed

Now only displayed when not a network failure. In r15026.

Last edited on Aug 21, 2014 at 7:39:08 AM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software